## ppx-sexp-conv 113.33.03

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := ppx_sexp_conv
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

## ppx-sexp-conv 0.13.0

=== debian/changelog ===
ppx-sexp-conv (1:0.13.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:34:43 +0000

ppx-sexp-conv (1:0.13.0-1) unstable; urgency=medium

  * New upstream release
    - bump epoch to cope with new upstream versioning scheme
  * Update debian/watch
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 13 Jan 2020 17:08:32 +0100

ppx-sexp-conv (113.33.03-2) unstable; urgency=medium

  * Upload to unstable
  * Move ocaml-findlib to Recommends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Aug 2016 09:49:48 +0200

ppx-sexp-conv (113.33.03-1) experimental; urgency=medium

  * Initial release (Closes: #833498)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 05 Aug 2016 10:22:37 +0200

=== debian/control ===
Source: ppx-sexp-conv
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 ocaml-dune,
 libbase-ocaml-dev (>= 0.13),
 libsexplib0-ocaml-dev (>= 0.13),
 libppxlib-ocaml-dev (>= 0.9),
 dh-ocaml
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git
Homepage: https://github.com/janestreet/ppx_sexp_conv

Package: libppx-sexp-conv-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: generation of S-expressions from type definitions (dev files)
 ppx_sexp_conv is a PPX syntax extension that generates code for
 converting OCaml types to and from S-expressions, as defined in the
 sexplib library.
 .
 This package contains development files.

Package: libppx-sexp-conv-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: generation of S-expressions from type definitions (runtime files)
 ppx_sexp_conv is a PPX syntax extension that generates code for
 converting OCaml types to and from S-expressions, as defined in the
 sexplib library.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_sexp_conv

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppx_sexp_conv/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_sexp_conv/tags /.*/archive/v([\d\.\-rc]+)\.tar\.gz

## ppx-sexp-conv 0.14.0

=== debian/changelog ===
ppx-sexp-conv (1:0.14.0-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Aug 2020 11:54:31 +0200

ppx-sexp-conv (1:0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 10:20:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: ppx-sexp-conv
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-findlib,
  ocaml-dune,
- libbase-ocaml-dev (>= 0.13),
- libsexplib0-ocaml-dev (>= 0.13),
- libppxlib-ocaml-dev (>= 0.9),
+ libbase-ocaml-dev (>= 0.14),
+ libsexplib0-ocaml-dev (>= 0.14),
+ libppxlib-ocaml-dev (>= 0.11.0),
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,4 @@
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppx_sexp_conv/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ppx-sexp-conv 0.14.1

=== debian/changelog ===
ppx-sexp-conv (1:0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 09 Nov 2020 04:24:50 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libsexplib0-ocaml-dev (>= 0.14),
- libppxlib-ocaml-dev (>= 0.11.0),
+ libppxlib-ocaml-dev (>= 0.15.0),
  dh-ocaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppx_sexp_conv/LICENSE.md
-
-override_dh_dwz:

## ppx-sexp-conv 0.14.3

=== debian/changelog ===
ppx-sexp-conv (1:0.14.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 14:42:29 +0100

ppx-sexp-conv (1:0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jan 2022 00:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-findlib,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libsexplib0-ocaml-dev (>= 0.14),
- libppxlib-ocaml-dev (>= 0.15.0),
+ libppxlib-ocaml-dev (>= 0.22.0),
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

## ppx-sexp-conv 0.15.1+really0.14.3

=== debian/changelog ===
ppx-sexp-conv (1:0.15.1+really0.14.3-1) unstable; urgency=medium

  * Re-package 0.14.3... previous upload was meant for experimental!

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Aug 2022 08:33:04 +0200

ppx-sexp-conv (1:0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 07 Aug 2022 16:51:33 +0200

## ppx-sexp-conv 0.15.1+really0.15.1

=== debian/changelog ===
ppx-sexp-conv (1:0.15.1+really0.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Oct 2022 10:19:17 +0200

ppx-sexp-conv (1:0.15.1+really0.15.1-1) experimental; urgency=medium

  * Re-package 0.15.1 for experimental now a real 0.14.3 is back
  to testing.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Aug 2022 11:49:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libsexplib0-ocaml-dev (>= 0.14),
  libppxlib-ocaml-dev (>= 0.22.0),
  dh-ocaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

## ppx-sexp-conv 0.16.0

=== debian/changelog ===
ppx-sexp-conv (1:0.16.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Feb 2024 13:05:30 +0100

ppx-sexp-conv (1:0.16.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:16:44 +0100

ppx-sexp-conv (1:0.16.0-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 07:51:00 +0200

ppx-sexp-conv (1:0.16.0-2) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:06:30 +0200

ppx-sexp-conv (1:0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 11:06:34 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ocaml-findlib,
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
- libsexplib0-ocaml-dev (>= 0.14),
+ libsexplib0-ocaml-dev (>= 0.16),
  libppxlib-ocaml-dev (>= 0.22.0),
- dh-ocaml
-Standards-Version: 4.6.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

## ppx-sexp-conv 0.17.0

=== debian/changelog ===
ppx-sexp-conv (1:0.17.0-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jun 2025 05:18:08 +0200

ppx-sexp-conv (1:0.17.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 23:39:40 +0100

ppx-sexp-conv (1:0.17.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:32:59 +0100

ppx-sexp-conv (1:0.17.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:12:35 +0100

ppx-sexp-conv (1:0.17.0-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2024 19:56:00 +0200

ppx-sexp-conv (1:0.17.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:31:38 +0200

ppx-sexp-conv (1:0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 23:27:46 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  ocaml-dune,
  libbase-ocaml-dev (>= 0.14),
  libsexplib0-ocaml-dev (>= 0.16),
+ libppxlib-jane-ocaml-dev,
  libppxlib-ocaml-dev (>= 0.22.0),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

## ppx-sexp-conv 0.17.1

=== debian/changelog ===
ppx-sexp-conv (1:0.17.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 01:11:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  libbase-ocaml-dev (>= 0.14),
  libsexplib0-ocaml-dev (>= 0.16),
  libppxlib-jane-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.22.0),
+ libppxlib-ocaml-dev (>= 0.36.0),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_sexp_conv/tags .*/v?([\d\.\-rc]+)\.tar\.gz

## ppx-sexp-conv 113.33.03

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
- ocaml,
+ debhelper (>= 9),
+ ocaml-nox,
  ocaml-findlib,
- ocaml-dune,
- libbase-ocaml-dev (>= 0.14),
- libsexplib0-ocaml-dev (>= 0.16),
- libppxlib-jane-ocaml-dev,
- libppxlib-ocaml-dev (>= 0.36.0),
- dh-ocaml (>= 1.2)
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-sexp-conv
-Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-sexp-conv.git
+ opam,
+ libjs-build-tools-ocaml-dev,
+ libfindlib-ocaml-dev,
+ libppx-tools-ocaml-dev (>= 0.99.3),
+ libppx-core-ocaml-dev,
+ libppx-type-conv-ocaml-dev,
+ libsexplib-ocaml-dev,
+ dh-ocaml
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-sexp-conv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-sexp-conv.git
 Homepage: https://github.com/janestreet/ppx_sexp_conv
 
 Package: libppx-sexp-conv-ocaml-dev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	./configure --prefix /usr

override_dh_auto_install:
	opam-installer --prefix=debian/tmp --libdir=.$(OCAML_STDLIB_DIR) ppx_sexp_conv.install

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/ppx_sexp_conv/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
